<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 
if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
// Dang nhap
$ip_client = get_ip();

if (isset($_POST["login"]))
{
        $vweb_security_login_code1 = $_POST['vweb_security_login_code1'];
        $vweb_security_login_code2 = $_POST['vweb_security_login_code2'];
        $vweb_security_login_code3 = $_POST['vweb_security_login_code3'];
        
        $tach_time = substr($vweb_security_login_code3, $vweb_security_login_code2 - $vweb_security_login_code1, 10);
        $time_load_form_login_chenh = time() - $tach_time;
        
        if($time_load_form_login_chenh > 30*60) {
            $error = "<font size='4' color='red'>Thời gian đăng nhập quá lâu, vui lòng đăng nhập lại.</font>";
        } else {
        include_once("config/config.php");
        include_once("config/config_sms.php");

        $accountid = $_POST['username'];
		$passType = $_POST['passType'];
        $passwordid = $_POST['password'];
		
		$_SESSION = array();
		include_once("vimage.php");
		$_SESSION['captcha'] = captcha();
		if( $_POST['vImageCodS'] != md5($_POST['vImageCodP']) ) {
			$error = "Sai mã kiểm tra";
		}
		elseif (($accountid == NULL) || ($passwordid == NULL)) {$error = "<font size='4' color='red'>Hãy điền tên đăng nhập và mật khẩu.</font>";}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $accountid))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Tài khoản chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $passwordid))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}

		else {
			$getcontent_url = $server_url . "/view.php";
			$getcontent_data = array(
				'action'    =>  'login',
				'login'    =>  $accountid,
				'pass'    =>  md5($passwordid),
				'passType'    =>  $passType,
				'ip'    =>  $ip_client,
				'passtransfer'    =>  $passtransfer
			); 
			
			$show_reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if( empty($show_reponse) )
			{
				$error = "<font size='3' color='red'>Server đang bảo trì</font>";
			}
			else if($show_reponse == 'PASSRAN_KGCO') {
				$error = "<font color='red'><b>Danh sách mã ưu tiên chưa khởi tạo hoặc đã sử dụng hết</b></font>.<br>Tài khoản của bạn đang ở chế độ <b>sử dụng mật khẩu cấp 2, để tăng độ bảo mật</b>.<br>Vui lòng <b>dùng SĐT của tài khoản <font color='red'>$accountid</font></b> Soạn tin nhắn: <font color='blue'><b>$madv&nbsp;&nbsp;&nbsp;$cuphap&nbsp;&nbsp;&nbsp;PR&nbsp;&nbsp;&nbsp;TênAccCủaBạn</b></font>&nbsp;&nbsp;&nbsp;gửi&nbsp;&nbsp;&nbsp;<font color='blue'><b>$tdsms</b></font></span> <font color='gray'><i>(Phí nhắn tin : $giavnd đ/1sms)</i></font>.";
			}
			else if($show_reponse == 'PASSRAN_SAI') {
				$error = "<font color='red'><b>Mật khẩu không đúng</b></font>.<br>Tài khoản của bạn đang ở chế độ <b>sử dụng mật khẩu ngẫu nhiên để tăng độ bảo mật</b>.<br>Nếu bạn quên danh sách mật khẩu ngẫu nhiên đã nhận, vui lòng <b>dùng SĐT của tài khoản <font color='red'>$accountid</font></b> nhắn tin với cú pháp bên dưới để lấy danh sách mật khẩu ngẫu nhiên mới.<br> <font color='blue'><b>$madv&nbsp;&nbsp;&nbsp;$cuphap&nbsp;&nbsp;&nbsp;PR&nbsp;&nbsp;&nbsp;TênAccCủaBạn</b></font>&nbsp;&nbsp;&nbsp;gửi&nbsp;&nbsp;&nbsp;<font color='blue'><b>$tdsms</b></font></span> <font color='gray'><i>(Phí nhắn tin : $giavnd đ/1sms)</i></font>.<br>
	Các Mật khẩu cũ chưa sử dụng thì sẽ bị xóa hết để bảo mật.";
			}
			else {
				$info = read_TagName($show_reponse, 'info', 1);
				if ($info == 'OK') {
					$_SESSION['mu_username'] = $accountid;
					$_SESSION['checklogin'] = read_TagName($show_reponse, 'stringlogin', 1);
					
					$accthehe = abs(intval(read_TagName($show_reponse, 'thehe', 1)));
					if ($accthehe == 0) $accthehe = 1;
					$_SESSION['acc_thehe'] = $accthehe;
					$_SESSION['thehe'] = $accthehe;
					
					$_SESSION['acc_gcoin'] = read_TagName($show_reponse, 'gcoin', 1);
					$_SESSION['acc_gcoin_km'] = read_TagName($show_reponse, 'gcoinkm', 1);
					$_SESSION['acc_vpoint'] = read_TagName($show_reponse, 'vpoint', 1);
					$_SESSION['acc_zen'] = read_TagName($show_reponse, 'zen', 1);
					$_SESSION['acc_heart'] = read_TagName($show_reponse, 'heart', 1);
					$_SESSION['acc_hhht'] = read_TagName($show_reponse, 'hhht', 1);
					$_SESSION['acc_chao'] = read_TagName($show_reponse, 'chao', 1);
					$_SESSION['acc_cre'] = read_TagName($show_reponse, 'create', 1);
					$_SESSION['acc_blue'] = read_TagName($show_reponse, 'blue', 1);
					$_SESSION['acc_phone'] = read_TagName($show_reponse, 'phone', 1);
					$_SESSION['acc_passran'] = read_TagName($show_reponse, 'passran', 1);
					$_SESSION['IPBonusPoint'] = read_TagName($show_reponse, 'IPBonusPoint', 1);
					$ipbonus_info = read_TagName($show_reponse, 'ipbonus_info', 1);
					
					$nv_slg = 0;
					for($i=1;$i<=5;$i++)
					{
						if(strlen(read_TagName($show_reponse, 'char'.$i, 1))>=4)
						{
							$nv_slg++;
							$_SESSION['char'.$nv_slg] = read_TagName($show_reponse, 'char'.$i, 1);
						}
					}
					$_SESSION['nv_slg'] = $nv_slg;
					$_SESSION['acc_vip'] = read_TagName($show_reponse, 'acc_vip', 1);
					$_SESSION['timevip'] = read_TagName($show_reponse, 'timevip', 1);
					$_SESSION['VWEB_LanQuayItem'] = read_TagName($show_reponse, 'VWEB_LanQuayItem', 1);
					$_SESSION['acc_warehouse_safe_slot'] = read_TagName($show_reponse, 'vweb_warehouse_safe_slot', 1);
					$_SESSION['acc_warehouse_safe_item'] = read_TagName($show_reponse, 'vweb_warehouse_safe_item', 1);
					$_SESSION['acc_jbkhoa'] = read_TagName($show_reponse, 'jbkhoa', 1);
					$_SESSION['acc_ppo'] = read_TagName($show_reponse, 'ppo', 1);
					$_SESSION['acc_wcoin'] = read_TagName($show_reponse, 'wcoin', 1);
					$_SESSION['acc_vipmoney'] = read_TagName($show_reponse, 'vipmoney', 1);
					$_SESSION['total_online'] = read_TagName($show_reponse, 'total_online', 1);
					$_SESSION['tongthenap'] = read_TagName($show_reponse, 'tongthenap', 1);
						
					if(strlen($ipbonus_info) > 10) $notice = $ipbonus_info . "<br />Do IP Quán NET hay bị thay đổi mỗi khi nhảy mạng, vì vậy các bạn thường xuyên đăng nhập lại để kiểm tra. Nếu thấy thông báo không chơi ở Quán NET đăng ký IP Bonus, vui lòng liên hệ chủ quán để cập nhập IP mới.";
					else $notice = '<strong>Bạn hiện không chơi ở Quán NET đăng ký IP Bonus.<br />Hãy chơi ở quán NET đăng ký IP Bonus để nhận được IP Bonus Point, IP Bonus Point sẽ được đổi sang Vpoint để mua đồ CashShop web<br /><a href="#acc_manager&act=ipbonus_list" rel="menuajax">Danh sách quán NET đăng ký IP Bonus xem tại đây</a></strong>';
					jum('index.php');
				}
				else { 
					$error = "<font size='4' color='red'>$show_reponse</font>"; 
				}
			}
		}
		}
}

// Chon Nhan Vat
if (isset($_POST['ChonNV'])) {
	$nhanvat = $_POST['nhanvat'];
    if( $sendsv === false) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
    elseif(empty($nhanvat)) { $error = "Chưa chọn Nhân vật"; }
	elseif (preg_match("/[^a-zA-Z0-9_$]/", $nhanvat))
		{
			$error = "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chọn chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
		}
	else {
		
        $getcontent_url = $server_url . "/view.php";
        $getcontent_data = array(
            'action'    =>  'chonNV',
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $nhanvat,
            'ip'    =>  $ip_client,
            'string_login'  =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        ); 
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

		if ( empty($reponse) ) { $error = "<font size='3' color='red'>Server bảo trì.</font>"; }
		elseif($reponse == "login_other") {
			$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
			session_destroy();
		}
		else {
			if (read_TagName($reponse, 'info', 1) != 'OK') { $error = $reponse; }
			else {
				$_SESSION['mu_nvchon'] = $nhanvat;
				
				$_SESSION['nv_online'] = read_TagName($reponse, 'online', 1);
				$_SESSION['nv_doinv'] = read_TagName($reponse, 'doinv', 1);
				$_SESSION['nv_class_id'] = read_TagName($reponse, 'class_id', 1);
				$_SESSION['nv_class_name'] = read_TagName($reponse, 'class_name', 1);
				$_SESSION['nv_class_img'] = read_TagName($reponse, 'class_img', 1);
				$_SESSION['nv_class_master'] = read_TagName($reponse, 'class_master', 1);
				$_SESSION['nv_level'] = read_TagName($reponse, 'level', 1);
				$_SESSION['nv_point'] = read_TagName($reponse, 'point', 1);
				$_SESSION['nv_pointdutru'] = read_TagName($reponse, 'point_dutru', 1);
				$_SESSION['nv_zen'] = read_TagName($reponse, 'zen', 1);
				$_SESSION['nv_reset'] = read_TagName($reponse, 'reset', 1);
				$_SESSION['nv_resetday'] = read_TagName($reponse, 'resetday', 1);
				$_SESSION['nv_resetmonth'] = read_TagName($reponse, 'resetmonth', 1);
				$_SESSION['nv_relife'] = read_TagName($reponse, 'relife', 1);
				$_SESSION['nv_khoado'] = read_TagName($reponse, 'khoado', 1);
				$_SESSION['nv_thuepoint'] = read_TagName($reponse, 'thuepoint', 1);
				$_SESSION['nv_pointevent'] = read_TagName($reponse, 'pointevent', 1);
				$_SESSION['nv_uythaconline'] = read_TagName($reponse, 'uythacon', 1);
				$_SESSION['nv_point_uythac'] = read_TagName($reponse, 'pointuythac', 1);
                $_SESSION['nv_point_uythac_event'] = read_TagName($reponse, 'pointuythac_event', 1);
				$_SESSION['nv_uythac_offline'] = read_TagName($reponse, 'uythacoff', 1);
				$_SESSION['nv_uythac_offline_time'] = read_TagName($reponse, 'uythacoff_time', 1);
                $_SESSION['nv_uythac_offline_daily'] = read_TagName($reponse, 'uythacoff_daily', 1);
                $_SESSION['nv_top50'] = read_TagName($reponse, 'top50', 1);
                $_SESSION['point_event'] = read_TagName($reponse, 'point_event', 1);
                $_SESSION['event1_type1'] = read_TagName($reponse, 'event1_type1', 1);
                $_SESSION['event1_type2'] = read_TagName($reponse, 'event1_type2', 1);
                $_SESSION['event1_type3'] = read_TagName($reponse, 'event1_type3', 1);
                $_SESSION['event1_type1_daily'] = read_TagName($reponse, 'event1_type1_daily', 1);
                $_SESSION['event1_type2_daily'] = read_TagName($reponse, 'event1_type2_daily', 1);
                $_SESSION['event1_type3_daily'] = read_TagName($reponse, 'event1_type3_daily', 1);
                $_SESSION['quest_daily'] = read_TagName($reponse, 'qwait', 1);
                $_SESSION['nv_pkcount'] = read_TagName($reponse, 'PkCount', 1);
				$_SESSION['nv_levelmaster'] = read_TagName($reponse, 'levelmaster', 1);
				$_SESSION['nv_pointmaster'] = read_TagName($reponse, 'pointmaster', 1);
				$_SESSION['resets_0h'] = read_TagName($reponse, 'resets_0h', 1);
				$_SESSION['relifes_0h'] = read_TagName($reponse, 'relifes_0h', 1);
				$_SESSION['top1_rl'] = read_TagName($reponse, 'top1_rl', 1);
				$_SESSION['top1_rs'] = read_TagName($reponse, 'top1_rs', 1);
				$_SESSION['sum_top1_rs'] = read_TagName($reponse, 'sum_top1_rs', 1);
				$_SESSION['top1_rl_now'] = read_TagName($reponse, 'top1_rl_now', 1);
				$_SESSION['top1_rs_now'] = read_TagName($reponse, 'top1_rs_now', 1);
				$_SESSION['nv_ghrs'] = read_TagName($reponse, 'gioihanrs', 1);
				$_SESSION['nv_str'] = read_TagName($reponse, 'str', 1);
				$_SESSION['nv_dex'] = read_TagName($reponse, 'dex', 1);
				$_SESSION['nv_vit'] = read_TagName($reponse, 'vit', 1);
				$_SESSION['nv_ene'] = read_TagName($reponse, 'ene', 1);
				$_SESSION['nv_com'] = read_TagName($reponse, 'com', 1);
				$_SESSION['mapnumber'] = read_TagName($reponse, 'mapnumber', 1);
				$_SESSION['nv_pcpoint'] = read_TagName($reponse, 'pcpoint', 1);
				
				setcookie("vweb_loaddata", time(), time()+3600);
				
				$notice = "|OK|Đã chọn nhân vật : <b>$nhanvat</b>";
				$remove_choisenv = 1;
				jum('./#char_manager');
			}
		}
	}
}

// Logout
if (isset($_POST['logout'])) {
  session_destroy();
  setcookie("last_sendsv", "", time()-3600);
  jum('index.php');
}
?>